Bug 68257 - xinitrc package nullifies ~/.Xdefaults
xinitrc package nullifies ~/.Xdefaults
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: xinitrc (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Aaron Brown
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-07-08 12:41 EDT by Enrico Scholz
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 06:22:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-07-08 12:41:50 EDT
Description of Problem:

Recent xinitrc package is shipping /etc/X11/Xresources which sets some Xft
variables. Unfortunately, after using 'xrdb' to load this file, the settings in
~/.Xdefaults will be ignored.

~/.Xdefaults may be oldish, but I am using it for years and I like some of its
features (e.g. using ~/.Xdefaults-<hostname> for host-dependent settings,
changed settings will be used without calling an extra program). First tries
have shown that a simple renaming to ~/.Xresources has unwanted sideeffects
(some keys do not work anymore) so I would like to keep the good old ~/.Xdefaults.



Version-Release number of selected component (if applicable):

xinitrc-3.24-1


Steps to Reproduce:
1. use ~/.Xdefaults to setup your system; a sample may be 
   | echo 'xterm*background:    lightyellow' > ~/.Xdefaults
2. install recent xinitrc package
3. (re)start X
4. start xterm

Actual Results:

xterm background is not lightyellow


Expected Results:

xterm background is lightyellow
Comment 1 Owen Taylor 2002-09-10 18:36:42 EDT
About all we can do here (for the future) is add ~/.Xresources-hostname
support, which is pretty trivial.
Comment 2 Owen Taylor 2003-01-14 18:02:29 EST
Marking various no-need-to-be-private bugs public.
Comment 3 Mike A. Harris 2003-01-24 06:22:34 EST
Xdefaults is 3 years obsolete.  It is obsoleted by XFree86.org and possibly
by X.org prior to that (I don't know the history of the changes).  It was
kept in Red Hat Linux for a while longer.  It's no longer available for use,
so users should use Xresources and .Xresources instead.

Please make any enhancement requests regarding these files to
xfree86@XFree86.org directly.  If there is a need for some enhancement,
it isn't going to be limited to Red Hat Linux.

Closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.